数据提供商: DataForSEO
使用 DataForSEO 对某个页面的 URL 进行截图操作。
$0.00528 / 次调用在 60 秒内响应
按 URL 请求截取一个网页,返回已存储截图的 URL。可选择浏览器宽度、高度、缩放比例,以及整页或首屏截图,并可按要求关闭 cookie 弹窗。输入一个URL,就能得到一张图片;每次调用都会捕获一页页面内容。每次调用发送一次请求,按供应商的价目表计费;空结果集会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/on_page/page_screenshot on Glasser.bash
glasser run -p dataforseo -e '/v3/on_page/page_screenshot' -i '{"url":"https://dataforseo.com/apis"}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/on_page/page_screenshot","input":{"url":"https://dataforseo.com/apis"},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
调查网站问题时,可以审阅与目标问题相关的爬取结果。
复制此提示词到你的 Agent,审阅与网站问题相关的爬取结果。
提示词
Use dataforseo:/v3/on_page/page_screenshot on Glasser.
Find returned crawl findings relevant to the website problem I describe.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"url"
],
"properties": {
"url": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"switch_pool": {
"type": "boolean"
},
"browser_preset": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"accept_language": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"ip_pool_for_scan": {
"type": "string"
},
"custom_user_agent": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"browser_screen_width": {
"type": "integer"
},
"disable_cookie_popup": {
"type": "boolean"
},
"full_page_screenshot": {
"type": "boolean"
},
"browser_screen_height": {
"type": "integer"
},
"browser_screen_scale_factor": {
"anyOf": [
{
"type": "number"
},
{
"enum": [
"Infinity",
"-Infinity",
"NaN"
],
"type": "string"
}
]
}
},
"additionalProperties": false
}json
{
"url": "https://dataforseo.com/apis"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据 | 仅在返回数据时收费。 | $0.00528 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |